sigrok-cli depends on libsigrokdecode >= 0.2.0.
authorUwe Hermann <uwe@hermann-uwe.de>
Fri, 3 May 2013 17:53:09 +0000 (19:53 +0200)
committerUwe Hermann <uwe@hermann-uwe.de>
Fri, 3 May 2013 18:42:20 +0000 (20:42 +0200)
README
configure.ac

diff --git a/README b/README
index 6bc19982a52384fbc64ee0fa871c5ec8533162af..535538289008f48b503606783d7ee90715fad894 100644 (file)
--- a/README
+++ b/README
@@ -29,7 +29,7 @@ Requirements
  - pkg-config >= 0.22
  - libglib >= 2.28.0
  - libsigrok >= 0.2.0
- - libsigrokdecode >= 0.1.0
+ - libsigrokdecode >= 0.2.0
 
 
 Building and installing
index 8bd75a2acc4fc6a313274cc92633bd634f437b67..7d86db3cbb7773aa6435f2a7bd56cf914f2c717b 100644 (file)
@@ -69,7 +69,7 @@ PKG_CHECK_MODULES([libsigrok], [libsigrok >= 0.2.0],
        LIBS="$LIBS $libsigrok_LIBS"])
 
 if test "x$WITH_SRD" = "xyes"; then
-       PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode >= 0.1.0],
+       PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode >= 0.2.0],
                [CFLAGS="$CFLAGS $libsigrokdecode_CFLAGS";
                        LIBS="$LIBS $libsigrokdecode_LIBS";
                        AC_DEFINE(HAVE_SRD, [1], [libsigrokdecode is available.])]
@@ -118,7 +118,7 @@ echo "Detected libraries:"
 echo
 
 # Note: This only works for libs with pkg-config integration.
-for lib in "glib-2.0 >= 2.28.0" "libsigrok >= 0.2.0" "libsigrokdecode >= 0.1.0"; do
+for lib in "glib-2.0 >= 2.28.0" "libsigrok >= 0.2.0" "libsigrokdecode >= 0.2.0"; do
        if test "$lib" = "libsigrokdecode" -a "$WITH_SRD" != "yes" ; then
                answer="no"
        else